Package com.independentsoft.office.word.styles

# Class LatentStyles

java.lang.Object
com.independentsoft.office.word.styles.LatentStyles

public class LatentStyles extends Object
The Class LatentStyles.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LatentStyles()`
  Instantiates a new latent styles.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LatentStyles`
  `clone()`
  `int`
  `getCount()`
  Gets the count.
  `ExtendedBoolean`
  `getDefaultLockedState()`
  Gets the default locked state.
  `ExtendedBoolean`
  `getDefaultPrimary()`
  Gets the default primary.
  `ExtendedBoolean`
  `getDefaultSemiHidden()`
  Gets the default semi hidden.
  `ExtendedBoolean`
  `getDefaultUnhideWhenUsed()`
  Gets the default unhide when used.
  `int`
  `getDefaultUserInterfacePriority()`
  Gets the default user interface priority.
  `List<LatentStyleException>`
  `getLatentStyleExceptions()`
  Gets the latent style exceptions.
  `void`
  `setCount​(int count)`
  Sets the count.
  `void`
  `setDefaultLockedState​(ExtendedBoolean defaultLockedState)`
  Sets the default locked state.
  `void`
  `setDefaultPrimary​(ExtendedBoolean defaultPrimary)`
  Sets the default primary.
  `void`
  `setDefaultSemiHidden​(ExtendedBoolean defaultSemiHidden)`
  Sets the default semi hidden.
  `void`
  `setDefaultUnhideWhenUsed​(ExtendedBoolean defaultUnhideWhenUsed)`
  Sets the default unhide when used.
  `void`
  `setDefaultUserInterfacePriority​(int defaultUIPriority)`
  Sets the default user interface priority.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LatentStyles

    public LatentStyles()
    Instantiates a new latent styles.

- ## Method Details

  - ### clone

    public LatentStyles clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getLatentStyleExceptions

    public List<LatentStyleException> getLatentStyleExceptions()
    Gets the latent style exceptions.
    Returns:
      the latent style exceptions

  - ### getCount

    public int getCount()
    Gets the count.
    Returns:
      the count

  - ### setCount

    public void setCount​(int count)
    Sets the count.
    Parameters:
      `count` - the new count

  - ### getDefaultLockedState

    public ExtendedBoolean getDefaultLockedState()
    Gets the default locked state.
    Returns:
      the default locked state

  - ### setDefaultLockedState

    public void setDefaultLockedState​(ExtendedBoolean defaultLockedState)
    Sets the default locked state.
    Parameters:
      `defaultLockedState` - the new default locked state

  - ### getDefaultPrimary

    public ExtendedBoolean getDefaultPrimary()
    Gets the default primary.
    Returns:
      the default primary

  - ### setDefaultPrimary

    public void setDefaultPrimary​(ExtendedBoolean defaultPrimary)
    Sets the default primary.
    Parameters:
      `defaultPrimary` - the new default primary

  - ### getDefaultSemiHidden

    public ExtendedBoolean getDefaultSemiHidden()
    Gets the default semi hidden.
    Returns:
      the default semi hidden

  - ### setDefaultSemiHidden

    public void setDefaultSemiHidden​(ExtendedBoolean defaultSemiHidden)
    Sets the default semi hidden.
    Parameters:
      `defaultSemiHidden` - the new default semi hidden

  - ### getDefaultUserInterfacePriority

    public int getDefaultUserInterfacePriority()
    Gets the default user interface priority.
    Returns:
      the default user interface priority

  - ### setDefaultUserInterfacePriority

    public void setDefaultUserInterfacePriority​(int defaultUIPriority)
    Sets the default user interface priority.
    Parameters:
      `defaultUIPriority` - the new default user interface priority

  - ### getDefaultUnhideWhenUsed

    public ExtendedBoolean getDefaultUnhideWhenUsed()
    Gets the default unhide when used.
    Returns:
      the default unhide when used

  - ### setDefaultUnhideWhenUsed

    public void setDefaultUnhideWhenUsed​(ExtendedBoolean defaultUnhideWhenUsed)
    Sets the default unhide when used.
    Parameters:
      `defaultUnhideWhenUsed` - the new default unhide when used